<?php
// This file is part of Moodle - http://moodle.org
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Render the data collected for a course on the last processing.
 *
 * @author Bruno Ilponse, Nassim Bennouar
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright (C) 2020  ISAE-SUPAERO (https://www.isae-supaero.fr/)
 * @package report_hybridmeter
 */

require_once("../../../config.php");
header('Content-Type: text/json');

// Checking authorizations (admin role required).
require_login();

$context = context_system::instance();
$PAGE->set_context($context);
require_capability('report/hybridmeter:all', $context);
$id  = optional_param('id' , null, PARAM_INT);

$pathserializeddata = $CFG->dataroot."/hybridmeter/records/serialized_data";
$dataunserialized = unserialize(file_get_contents($pathserializeddata));


echo (json_encode($dataunserialized["data"][$id], JSON_PRETTY_PRINT));
